[mythtv-users] Debian and CDPAU

Paul Gallaway pgallaway at gmail.com
Wed May 12 17:50:06 UTC 2010

On Tue, May 11, 2010 at 5:02 PM, Josu Lazkano <josu.lazkano at gmail.com> wrote:
> You need Nvidia official drivers.
> You don't need module-assistant.

This is not entirely true. I believe you are referencing downloading
the current binary installers from the NVidia website and you don't
need those either. This is what I do with a handful of Squeeze systems
to install more current drivers available in SID/unstable (and from
what I understand these are the 'official' Nvidia blobs repackaged for
Debian - aka, the "Debian Way"). Not sure if this would work in Lenny
but OP didn't specify.

# aptitude install -t unstable nvidia-kernel-source
# m-a a-i nvidia-kernel-source

When the package nvidia-kernel-source is updated you need to run the
"m-a a-i nvidia-kernel-source" again or X will probably fail to start
when you reboot. If you use suspend you may also want to restart X

Eric's email covers the parts you need for VDPAU to work. You might
want to install them from unstable sources as well since the driver
installation I've described is from unstable, at least that is what I
do, YMMV.

More information about the mythtv-users mailing list